Bug 145693 - Chr and ChrW argument name does not match that of VBA
Summary: Chr and ChrW argument name does not match that of VBA
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
7.2.2.2 release
Hardware: All All
: medium normal
Assignee: Andreas Heinisch
URL:
Whiteboard: target:7.4.0 target:7.3.0.2
Keywords:
Depends on:
Blocks: Macro-VBA Macro-StarBasic
  Show dependency treegraph
 
Reported: 2021-11-15 10:39 UTC by Alain Romedenne
Modified: 2022-01-26 20:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alain Romedenne 2021-11-15 10:39:27 UTC
Description:
Basic function argument names can be used either by position either by name.
Basic argument "name" should be 'charcode' instead of 'string'

- VBA doc:
https://docs.microsoft.com/en-us/office/vba/language/reference/user-interface-help/chr-function
- libO Basic function signatures:
https://opengrok.libreoffice.org/xref/core/basic/source/runtime/stdobj.cxx?r=fbaf865f#610]here[/url 

Steps to Reproduce:
Print Chr(string:=34)

Actual Results:
It prints double quotes " sign

Expected Results:
Print Chr(charcode:=34) ' is the appropriate argument name


Reproducible: Always


User Profile Reset: No



Additional Info:
See https://bugs.documentfoundation.org/show_bug.cgi?id=141474 for more information.
Comment 1 Alain Romedenne 2021-11-30 14:47:48 UTC
line 203 and 206 of https://opengrok.libreoffice.org/xref/core/basic/source/runtime/stdobj.cxx
should be updated from 'string' to 'charCode'
plus any other impact source file.
Comment 2 Commit Notification 2022-01-07 11:19:18 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/260a2036d688afddc6e6e477764e1196cc915194

tdf#130426 - Rename file for tdf#145693

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-01-08 10:49:42 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/35aa82ef1c8047087e7eb76fe5abccbe48fbac1e

tdf#145693 - Argument name should be 'charcode' instead of 'string'

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-01-10 11:01:00 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/fc119ab0eebdfc7675f4664f4e9e204d06403a74

tdf#130426 - Rename file for tdf#145693

It will be available in 7.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-01-10 21:25:40 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/80570766400df268ed069f81f3793055962144f6

tdf#145693 - Argument name should be 'charcode' instead of 'string'

It will be available in 7.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-01-26 20:32:29 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/2f76d8e9280cbe1e726cfcf2d4a798c8cf418241

tdf#145693 tdf#141474 Chr ChrW method signatures